const std = @import("std");

pub fn build(
	b: *std.Build,
	target: std.Build.ResolvedTarget,
	optimize: std.builtin.OptimizeMode,
) *std.Build.Step.Compile {
	const mod = b.createModule(.{
		.root_source_file = b.path("server/src/main.zig"),
		.target = target,
		.optimize = optimize,
	});

	const step = b.addExecutable(.{
		.name = "chat.server",
		.root_module = mod,
	});

	const cmd = b.addRunArtifact(step);
	cmd.step.dependOn(b.getInstallStep());
	if (b.args) |args| {
		cmd.addArgs(args);
	}

	const run = b.step("run-server", "Run the chat server");
	run.dependOn(&cmd.step);

	return step;
}
